API Platform Base Path: https://api.enterprise.apigee.com/v1/o/{org_name}
API Resource Path: /companies/{company_name}
Deletes an existing Company
Verb: DELETE
Auth: Basic AuthSample Request:
$ curl -X DELETE -u myname:mypass https://api.enterprise.apigee.com/v1/o/{org_name}/companies/{company_name}
Sample Response:
{
"apps" : [ ],
"name" : "DevCompany",
"displayName" : "Developer Company",
"organization" : "myorg",
"status" : "active",
"attributes" : [ {
"name" : "region",
"value" : "south"
} ],
"createdAt" : 1343049811765,
"createdBy" : "Admin",
"lastModifiedAt" : 1343049811875,
"lastModifiedBy" : "Admin"
}
Response Payload Elements:
| Name | Description |
|---|---|
| apps | A list of apps associated with the company |
| name | The name of the company |
| displayName | Display name of the company |
| organization | Organization containing the company |
| status | Status of the company--active or inactive. |
| attributes | Arbitrary attribues that may be used to extend the default company profile |
| createdAt | UNIX time when the entity was created |
| createdBy | User name of the Apigee user who created the company |
| lastModifiedAt | UNIX time when the entity was last modified |
| lastModifiedBy | User name of the Apigee user who last modified the company |
Failure 4xx with proper error message
{
"code" : "developer.service.CompanyDoesNotExist",
"message" : "Company named DevCompany1 does not exist in organization myorg",
"contexts" : [ ]
}
Last updated:
about 1 month ago